
CoCoA-5 - Bug #1560

elim for modules

11 Jan 2021 09:59 - John Abbott

Status: New Start date: 11 Jan 2021

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: enhancing/improving Estimated time: 0.00 hour

Target version: CoCoA-5.4.2 Spent time: 0.20 hour

Description

Bernhard Andraschko reported the following NYI:

use R;

R2 := NewFreeModule(R,2);

N := submodule(R2,[ModuleElem(R2,[x,0]),ModuleElem(R2,[y,0])]);

elim(y,N); --> gives ERROR "expected IDEAL" 

 

Make it work for modules.

Related issues:

Related to CoCoALib - Support #1561: Doc for module term orderings New 11 Jan 2021

Related to CoCoALib - Design #1326: Modify function myElim so that it returns... Closed 03 Oct 2019

History

#1 - 11 Jan 2021 10:02 - John Abbott

Not sure how hard this might be.  Does it suffice to create a poly ring with elim order, and then compute the GB for the module and pick out just those

module elems with "small" LT?

Presumably the module order needs to be ToPos?

#2 - 11 Jan 2021 10:19 - John Abbott

- Related to Support #1561: Doc for module term orderings added

#3 - 03 Feb 2022 19:55 - John Abbott

- Target version changed from CoCoA-5.4.0 to CoCoA-5.4.2

#4 - 15 Mar 2024 15:04 - Anna Maria Bigatti

- Related to Design #1326: Modify function myElim so that it returns ideal?  (not quite) added
